summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xcontrib/mount-ext4-ramdisk.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/contrib/mount-ext4-ramdisk.sh b/contrib/mount-ext4-ramdisk.sh
new file mode 100755
index 0000000..66de968
--- /dev/null
+++ b/contrib/mount-ext4-ramdisk.sh
@@ -0,0 +1,16 @@
+#!/bin/bash -ex
+
+MNT=/mnt/ext4-ramdisk
+
+if mountpoint $MNT ; then
+ exit 1
+fi
+
+IMG=$(mktemp /tmp/ext4-ramdisk-XXX.img)
+
+dd if=/dev/zero of=$IMG bs=1M count=1030
+mkfs.ext4 -q $IMG
+mkdir -p $MNT
+mount $IMG $MNT
+chmod 777 $MNT
+rm $IMG # unlink the file, it will be deleted once the fs is unmounted